HierarchyControllerGetHierarchy Method |
GET /Hierarchy/
Gets a hierarchy.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Index")]
public IActionResult GetHierarchy(
Guid id,
string uniqueName = "",
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Index")>
Public Function GetHierarchy (
id As Guid,
Optional uniqueName As String = "",
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ GetHierarchy(
Guid id,
String^ uniqueName = L"",
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Index")>]
member GetHierarchy :
id : Guid *
?uniqueName : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _uniqueName = defaultArg uniqueName ""
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the hierarchy to get or its parent entity. - uniqueName (Optional)
- Type: SystemString
The unique name of the hierarchy. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
HierarchyData object containing the hierarchy, or a status code indicating the problem.
See Also